<bugID>468719<Summary>Image Zoom 0.3.1 not available/working for Firefox 3.5</Summary><Description>I see the question posed about 3.1 support in the Image Zoom support forum, but no reply.

http://imagezoom.yellowgorilla.net/forums/viewtopic.php?id=518

If anyone has ideas on how to get an update on status or contact Jason Adams that would be great.</Description></bugID>